<template>
  <div class="mb-20">
    <div class="color-white text-bold mb-10 text-huge">{{banner.size}}</div>
    <div>{{$t('promo.invite')}}</div>
    <div>
      <swiper
        style="overflow: initial;"
        ref="mySwiper"
        :options="swiperOptions">
        <swiper-slide
          v-for="(item, key) in banner.urls"
          :key="key">
          <img
            :src="item"
            alt="">
        </swiper-slide>
        <div
          class="swiper-pagination"
          slot="pagination"></div>
      </swiper>
    </div>
    <div>
      <PlainList
        v-for="(item, key) in banner.shareList"
        :key="key"
        :icon="`./icons-s/${item.type}-icon.png`"
        :text="item.text"></PlainList>
    </div>
    <div class="mt-15 flex flex-around">
      <Btn
        small
        @click="copyHtml">
        <span class="text-underline text-uppercase color-white">HTML</span>
        <template slot="img">
          <IconCopy
            style="right: 0px"
            class="icon_align-right"
            fill="#8591a9"></IconCopy>
        </template>
      </Btn>
      <Btn
        small
        @click="copyBb">
        <span class="text-underline text-uppercase color-white">BBCODE</span>
        <template slot="img">
          <IconCopy
            style="right: 0px"
            class="icon_align-right"
            fill="#8591a9"></IconCopy>
        </template>
      </Btn>
    </div>
  </div>
</template>

<script>
  import {Swiper, SwiperSlide} from 'vue-awesome-swiper'
  import 'swiper/css/swiper.css'
  import PlainList from '~/components/UI/Lists/PlainList';
  import Btn from '~/components/UI//BtnSign_dark';
  import IconCopy from '~/components/UI/icons/icon-copy';
  import copyClipboard from '~/components/utils/copy';


  export default {
    name: "Banner-item",
    props: {
      banner: Object
    },
    data() {
      return {
        swiperOptions: {
          slidesPerView: 'auto',
          pagination: {
            el: '.swiper-pagination',
          },
        }
      }
    },
    components: {
      Swiper,
      SwiperSlide,
      PlainList,
      Btn,
      IconCopy
    },
    computed: {
      accountName() {
        return this.$store.state.wallet.accountName;
      },
      link() {
        return document.location.href.replace(/(http(s?):\/\/)|#\//gi, '') + `?ref=${this.accountName}`;
      }
    },
    methods: {
      copyHtml() {
        this.ga('html', true);
        const swiper = this.$refs['mySwiper'].$swiper;
        const location = document.location.href + '?ref=' + this.accountName;
        const link = swiper.imagesToLoad[swiper.activeIndex].src;
        const a = `<a href="${location}"><img src="${link}" alt="16bit.game"></a>`;
        copyClipboard(a, this.$t('common.copy'));
      },
      copyBb() {
        this.ga('bbcode', true);
        const swiper = this.$refs['mySwiper'].$swiper;
        const location = document.location.href + '?ref=' + this.accountName;
        const link = swiper.imagesToLoad[swiper.activeIndex].src;
        const a = `[url=${location}][img]${link}[/img][/url]`;
        copyClipboard(a, this.$t('common.copy'));
      }
    }
  }
</script>
<style
  lang="scss"
  scoped>
  .swiper {
    &-pagination {
      bottom: 0px;
    }
    &-slide {
      max-width: calc(100% - 0px);
      width: auto;
      margin-right: 20px;
      margin-top: 10px;
      margin-bottom: 20px;
      img {
        height: 100%;
        border-radius: 8px;
      }
    }
  }
</style>
